Bug 1279525 - [RFE] Add DPDK support in openvswitch in order to implement NUMA node affinity
[RFE] Add DPDK support in openvswitch in order to implement NUMA node affinity
Status: CLOSED DUPLICATE of bug 1426237
Product: Red Hat OpenStack
Classification: Red Hat
Component: openvswitch (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity low
: ---
: 8.0 (Liberty)
Assigned To: Flavio Leitner
Ofer Blaut
: FutureFeature, ZStream
Depends On: 1335865
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 11:15 EST by David Hill
Modified: 2017-03-07 16:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-07 16:12:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hill 2015-11-09 11:15:17 EST
Description of problem:
In order to implement NUMA node affinity , DPDK support in openvswitch should be integrated.   Once that is done, openvswitch will run in userland and if a guest is created in a NUMA cell, the attached openvswitch port will be located in the same NUMA cell which will greatly improve performances:

http://openvswitch.org/support/dist-docs/INSTALL.DPDK.md.txt
https://networkbuilders.intel.com/blog/support-for-openstack-kilo-and-latest-open-vswitch-boost-vm-performance-in-new-open-network-platform-v1-4/

Version-Release number of selected component (if applicable):
None

How reproducible:
Always

Steps to Reproduce:
1. openvswitch seems to not support DPDK by default and it has to be explicitly compiled with
2.
3.

Actual results:
Poor performances

Expected results:
Better performances

Additional info:
Comment 3 Panu Matilainen 2016-09-14 09:35:43 EDT
NUMA support in DPDK 2.2 was broken and had to be disabled. It's fixed in newer DPDK versions also OVS is more NUMA-aware as of 2.6, eg:
https://github.com/openvswitch/ovs/commit/db8f13b0201e992cc4a3aa12799723b19a509b46

Note You need to log in before you can comment on or make changes to this bug.